كلمات المرور الرئيسية
إنشاء كلمة مرور رئيسية
Create a master password under the path account.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
credentials
إنشاء كلمة مرور رئيسية
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domain": "<string>",
"generate": false,
"value": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials"
payload = {
"name": "<string>",
"domain": "<string>",
"generate": False,
"value": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
domain: '<string>',
generate: false,
value: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"updated_at": "<string>",
"generated_secret": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}التفويضات
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
معلمات المسار
الجسم
application/json
طلب لإنشاء كلمة مرور رئيسية ضمن نطاق مسار الحساب.
اسم عرض كلمة المرور الرئيسية
Required string length:
1 - 100نطاق كلمة المرور الرئيسية حسب UUID النطاق أو اسم النطاق
إنشاء سر كلمة مرور رئيسية بدلًا من توفيره
قيمة سر كلمة المرور الرئيسية عند عدم توليدها
Required string length:
4 - 256نطاق UUID لمساحة العمل لكلمة المرور الرئيسية
الاستجابة
طابع وقت إنشاء كلمة المرور الرئيسية
UUID كلمة المرور الرئيسية
اسم عرض كلمة المرور الرئيسية
UUID المورد لنطاق كلمة المرور الرئيسية
نوع نطاق المورد الذي تنطبق عليه كلمة المرور الرئيسية
الخيارات المتاحة:
account, workspace, domain طابع وقت آخر تحديث لكلمة المرور الرئيسية
سر كلمة مرور رئيسية مولد لمرة واحدة عند الطلب
هل كانت هذه الصفحة مفيدة؟
⌘I
إنشاء كلمة مرور رئيسية
